package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 15:07 2017/12/2
 */
@AllArgsConstructor
public enum  OrderStatus {

    ORDER_INIT(0,"订单初始化状态"),
    ORDER_CREATE(1,"已占座"),
    ORDER_CREATE_FAIL(2,"占座失败"),
    ORDER_PAY_ERROR(3,"支付失败"),
    ORDER_PAY_OK(4,"支付成功"),
    ORDER_PAY_OK_TICKET(5,"支付成功已出票"),
    ORDER_PAY_NO_TICKET(6,"支付成功未出票");


    @Getter
    @Setter
    private Integer statusId;
    @Getter
    @Setter
    private String status;
}
