package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:31 2017/12/2
 */
@AllArgsConstructor
public enum OrderCodeStatus {

    ORDER_INIT(0,"订单初始化状态"),
    ORDER_INQUEUE(1,"订单队列中"),
    ORDER_BEFORESPIDER(2,"订单准备发往爬虫"),
    ORDER_INSPIDER(3,"订单在爬虫中执行"),
    ORDER_AFTERSPIDER(4,"爬虫无任何回调"),
    ORDER_SPIDEROK(5,"爬虫回调结果成功"),
    ORDER_SPIDERERROR(6,"爬虫回调结果失败");


    @Getter
    @Setter
    private Integer statusId;
    @Getter
    @Setter
    private String status;
}
