package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrderRequestAfterOta implements Serializable {


    private static final long serialVersionUID = 4713658957009747000L;

    private String cid;

    private String orderSource;

    private String tripType;

    private String sessionId;

    private String data;
    private List<RouteInfoEntity> fromSegments;
    private List<RouteInfoEntity> retSegments;

    private List<PassengersInfo> passengersInfos;

    private ContactInfo contactInfo;

}
